Package name
kdelibs
Date
2004-12-22
Advisory ID
MDKSA-2004:154
Affected versions
10.0 amd64 , 10.1 i586 , 10.0 i586 , 10.1 x86_64

Problem description

A vulnerability in the Konqueror webbrowser was discovered where an untrusted java applet could escalate privileges (through JavaScript calling into Java code). This includes the reading and writing of files with the privileges of the user running the applet. The provided packages have been patched to correct this problem.

Updated packages

10.0 amd64

 1192d2bffd4a0902e3ae85314aadff7c  amd64/10.0/RPMS/kdelibs-common-3.2-36.7.100mdk.amd64.rpm
092b1adb47f2ee7361202fb3961daec2  amd64/10.0/RPMS/lib64kdecore4-3.2-36.7.100mdk.amd64.rpm
54febb9104d36727b1912f874f8ddeb6  amd64/10.0/RPMS/lib64kdecore4-devel-3.2-36.7.100mdk.amd64.rpm
add624cce5c6276155bb2beae8684be3  amd64/10.0/SRPMS/kdelibs-3.2-36.7.100mdk.src.rpm

10.1 i586

 69e937991e7295a12c0fcb2deddbf17e  10.1/RPMS/kdelibs-common-3.2.3-99.1.101mdk.i586.rpm
e1418cf4339274ad2a7ab04a9bf827bd  10.1/RPMS/libkdecore4-3.2.3-99.1.101mdk.i586.rpm
c8b6e944438fc55d779acb0164443f1b  10.1/RPMS/libkdecore4-devel-3.2.3-99.1.101mdk.i586.rpm
8d35b4a058364c775964bed572609d09  10.1/SRPMS/kdelibs-3.2.3-99.1.101mdk.src.rpm

10.0 i586

 cf896a582eb5e86b44d28ba5187a8bd1  10.0/RPMS/kdelibs-common-3.2-36.7.100mdk.i586.rpm
95e70b55d076356f2b1b15be3bc82d67  10.0/RPMS/libkdecore4-3.2-36.7.100mdk.i586.rpm
69bd5ef5db84ce6fb75fe00ba30cb8b0  10.0/RPMS/libkdecore4-devel-3.2-36.7.100mdk.i586.rpm
add624cce5c6276155bb2beae8684be3  10.0/SRPMS/kdelibs-3.2-36.7.100mdk.src.rpm

10.1 x86_64

 4e8f39434fcca6243db2202a2219e674  x86_64/10.1/RPMS/kdelibs-common-3.2.3-99.1.101mdk.x86_64.rpm
e7c19866ad0b280640ef7f34b79896ea  x86_64/10.1/RPMS/lib64kdecore4-3.2.3-99.1.101mdk.x86_64.rpm
4f4a0ae29057043790019e31713a11d0  x86_64/10.1/RPMS/lib64kdecore4-devel-3.2.3-99.1.101mdk.x86_64.rpm
8d35b4a058364c775964bed572609d09  x86_64/10.1/SRPMS/kdelibs-3.2.3-99.1.101mdk.src.rpm

References